{
	"run": [
		[
			"wosTbl",
			"=",
			[
				"query",
				[
					"wos/query_record",
					{
						"prwo.record_id": "prwo.record_id"
					}
				]
			]
		],
		[
			"woSaveArr",
			"=",
			[
				"so_update_confirmed_state_to_work_order.findWorkOrder",
				[
					"4d"
				]
			]
		],
		[
			"prwo",
			"=",
			[
				"script",
				[
					"conn",
					{
						"table": {
							"string": "prwo"
						}
					},
					{
						"field_name": [
							{
								"string": "prwo.failed_amount"
							}
						]
					},
					"no-clear"
				]
			]
		],
		[
			"errWo",
			"=",
			[
				"saveToDatabase",
				[
					"4d",
					"woSaveArr"
				]
			]
		]
	],
	"info": "update wos record",
	"name": "run_code/manager/product/product_work/order/update_record.json",
	"parameter": {
		"field": "",
		"record_id": ""
	}
}